Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.personservice.core.v1
Class PhoneticName

    java.lang.Object
      be.fgov.ehealth.rn.personservice.core.v1.PhoneticName

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class PhoneticName

extends Object
implements Serializable

Java class for PhoneticName complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PhoneticName">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="LastName">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 </restriction>
               </simpleType>
             </element>
             <element name="GivenName" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}GivenNameType" maxOccurs="3" minOccurs="0"/>
             <element name="GivenNameMatching" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PhoneticName()`

Method Summary
`String` | `getGivenNameMatching()` Gets the value of the givenNameMatching property.
`List<GivenNameType>` | `getGivenNames()` Gets the value of the givenNames property.
`String` | `getLastName()` Gets the value of the lastName property.
`void` | `setGivenNameMatching(String value)` Sets the value of the givenNameMatching property.
`void` | `setLastName(String value)` Sets the value of the lastName property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhoneticName

    public PhoneticName()

Method Detail

### getLastName

    public String getLastName()

  Gets the value of the lastName property.

  Returns:
    possible object is `String`

### setLastName

    public void setLastName(String value)

  Sets the value of the lastName property.

  Parameters:
    `value` - allowed object is `String`

### getGivenNames

    public List<GivenNameType> getGivenNames()

  Gets the value of the givenNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the givenNames property.

  For example, to add a new item, do as follows:

          getGivenNames().add(newItem);

  Objects of the following type(s) are allowed in the list `GivenNameType`

### getGivenNameMatching

    public String getGivenNameMatching()

  Gets the value of the givenNameMatching property.

  Returns:
    possible object is `String`

### setGivenNameMatching

    public void setGivenNameMatching(String value)

  Sets the value of the givenNameMatching property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.